org.apache.fop.render.mif

## Class MIFFile

- java.lang.Object
- - org.apache.fop.render.mif.MIFElement
  - - org.apache.fop.render.mif.MIFFile

-     public class MIFFile
      extends MIFElement

  The MIF File. This organises the MIF File and the corresponding elements. The catalog elements are used to setup the resources that are referenced.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected MIFElement` | `aFrames` aFrames
    `protected MIFElement` | `bookComponent` bookComponent
    `protected MIFElement` | `colorCatalog` colorCatalog
    `protected MIFElement` | `document` document
    `protected MIFElement` | `fontCatalog` fontCatalog
    `protected MIFElement` | `initialAutoNums` initialAutoNums
    `protected java.util.List` | `pages` pages
    `protected PGFElement` | `pgfCatalog` pgfCatalog
    `protected RulingElement` | `rulingCatalog` rulingCatalog
    `protected MIFElement` | `tblCatalog` tblCatalog
    `protected MIFElement` | `tbls` tbls
    `protected java.util.List` | `textFlows` textFlows
    `protected MIFElement` | `variableFormats` variableFormats
    `protected MIFElement` | `views` views
    `protected MIFElement` | `xRefFormats` xRefFormats

    - ### Fields inherited from class org.apache.fop.render.mif.MIFElement

      `finish, finished, name, started, valueElements, valueStr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MIFFile()` default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPage(MIFElement p)`
    `void` | `output(java.io.OutputStream os)`
    `protected void` | `setup()` Do some setup.

    - ### Methods inherited from class org.apache.fop.render.mif.MIFElement

      `addElement, finish, output, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### colorCatalog

          protected MIFElement colorCatalog

      colorCatalog

    - #### pgfCatalog

          protected PGFElement pgfCatalog

      pgfCatalog

    - #### fontCatalog

          protected MIFElement fontCatalog

      fontCatalog

    - #### rulingCatalog

          protected RulingElement rulingCatalog

      rulingCatalog

    - #### tblCatalog

          protected MIFElement tblCatalog

      tblCatalog

    - #### views

          protected MIFElement views

      views

    - #### variableFormats

          protected MIFElement variableFormats

      variableFormats

    - #### xRefFormats

          protected MIFElement xRefFormats

      xRefFormats

    - #### document

          protected MIFElement document

      document

    - #### bookComponent

          protected MIFElement bookComponent

      bookComponent

    - #### initialAutoNums

          protected MIFElement initialAutoNums

      initialAutoNums

    - #### aFrames

          protected MIFElement aFrames

      aFrames

    - #### tbls

          protected MIFElement tbls

      tbls

    - #### pages

          protected java.util.List pages

      pages

    - #### textFlows

          protected java.util.List textFlows

      textFlows

  - ### Constructor Detail

    - #### MIFFile

          public MIFFile()

      default constructor

  - ### Method Detail

    - #### setup

          protected void setup()

      Do some setup. Currently adds some dummy values to the resources.

    - #### output

          public void output(java.io.OutputStream os)
                      throws java.io.IOException

      Parameters:
        `os` - output stream
      Throws:
        `java.io.IOException` - if not caught

    - #### addPage

          public void addPage(MIFElement p)

      Parameters:
        `p` - a page element to add

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.